#include "punkt.h"
#include <math.h>

double maximalabstand(Punkt p[], int anzahl)
{
  double maximum = 0.0;
  for(int i = 0; i < anzahl; i++)
  {
    double a = sqrt(p[i].x * p[i].x + p[i].y * p[i].y);
    if(a > maximum)
    {
      maximum = a;
    }
  }
  return maximum;
}

double berechneFlaeche(Rechteck r)
{
  return (r.b.x - r.a.x) * (r.b.y - r.a.y);
}

Punkt berechneSchwerpunkt(Rechteck r)
{
  Punkt s;
  s.x = 0.5 * (r.a.x + r.b.x);
  s.y = 0.5 * (r.a.y + r.b.y);
  return s;
}

double berechneMasse(Rechteck r)
{
  double flaechendichte;
  switch(r.m)
  {
  case Papier:
    flaechendichte = 12.3;
    break;
  case Pappe:
    flaechendichte = 23.4;
    break;
  case Blech:
    flaechendichte = 50.0;
    break;
  }
  return berechneFlaeche(r) * flaechendichte;
}